%define __libtoolize    /bin/true

Name: kpowersave
Version: 0.7.3
Release: %mkrel 4
Group: Graphical desktop/KDE
Summary: KDE power management applet
Url: http://powersave.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/powersave/%{name}-%{version}.tar.bz2
License: GPLv2+
Patch15: kpowersave-0.7.3-fix-french-translation.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildConflicts: dyalog
BuildRequires: libpowersave-devel
BuildRequires: hal-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: kdelibs-devel
BuildRequires: autoconf 
BuildRequires: automake
BuildRequires: libxscrnsaver-devel 
BuildRequires: libxtst-devel
BuildRequires: desktop-file-utils
Requires: pm-utils

%description
The package provides battery monitoring and suspend/standby triggers.
It is based on the powersave package and therefore supports APM and
ACPI. See powersave package for additional features such as CPU frequency 
scaling(SpeedStep and PowerNow) and more.

Authors:
--------
    Thomas Renninger (trenn@suse.de, mail@renninger.de)
    Danny Kukawka (dkukawka@suse.de, danny.kukawka@web.de)

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_bindir}/%{name}
%{_datadir}/config/kpowersaverc
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/kde/kpowersave.desktop
%{_libdir}/kde3/*
%{_libdir}/*.so
%{_libdir}/*.la

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch15 -p1 -b .fix_french_translation

%build
make -f admin/Makefile.common 
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications/kde \
	--remove-key='Encoding' \
	--add-category='Qt;KDE;Monitor' \
	--add-only-show-in='KDE' \
	%buildroot%_datadir/applications/kde/*.desktop

%find_lang %{name} --with-html

%clean
rm -rf %{buildroot}


%changelog
* Sat Feb 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.3-4mdv2008.1
+ Revision: 174073
- [BUGFIX] Fix French translation (Bug #38069)
  Remove unused patches

  + Olivier Blin <oblin@mandriva.com>
    - buildconflicts with dyalog so that autoconf-dyalog does not get in the way

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-3mdv2008.1
+ Revision: 141738
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.7.3-2mdv2008.1
+ Revision: 102722
- add category so that it can be started manually

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 0.7.3-1mdv2008.1
+ Revision: 102542
- spec file cleanup
- drop patches merged upstream
- New version 0.7.3

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-16mdv2008.0
+ Revision: 68077
- fix segfault with laptops that have only one brightness level (such as Dell ones)

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-15mdv2008.0
+ Revision: 61585
- fix crash when started outside of a display manager

* Fri Jun 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.7.2-14mdv2008.0
+ Revision: 43036
- Fix a crash caused by deleting the KProcess without setting the class member
  pointer to NULL (#30001)

* Fri Jun 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-13mdv2008.0
+ Revision: 39971
- patch 6: revert bogus bit (fix crash, #30001)

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 0.7.2-12mdv2008.0
+ Revision: 26745
- Added pt_BR translation by Felipe


* Tue Mar 27 2007 Laurent Montel <lmontel@mandriva.com> 0.7.2-11mdv2007.1
+ Revision: 148980
- Mem leak--
- Fix mem leak
- Fix setting mem leak
- Fix delete object
- Fix mem leak
- Fix text into messagebox
- Remove not necessary variabl
- Fix includemoc

* Tue Mar 20 2007 Laurent Montel <lmontel@mandriva.com> 0.7.2-6mdv2007.1
+ Revision: 146998
- Fix i18n message (bug found by titi)
- Fix message

* Sat Mar 17 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-4mdv2007.1
+ Revision: 145372
- tag lang on html help files

* Thu Mar 01 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-2mdv2007.1
+ Revision: 130533
- require pm-utils

* Thu Feb 22 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-1mdv2007.1
+ Revision: 124687
- 0.7.2

* Tue Feb 06 2007 Olivier Blin <oblin@mandriva.com> 0.7.1-3mdv2007.1
+ Revision: 116907
- add some stability fixes from svn (#27890)

* Mon Jan 15 2007 Olivier Blin <oblin@mandriva.com> 0.7.1-2mdv2007.1
+ Revision: 109346
- add lock screen fixes from kpowersave SVN (#27810)
- fix typos in upstream sleep buttons patch
- add sleep/hibernate button support from kpowersave SVN
- add power button support from kpowersave SVN

* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 0.7.1-1mdv2007.1
+ Revision: 98682
- do not require powersave (hal is now enough) and SysVinit
- 0.7.1

* Tue Sep 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.2-3mdv2007.0
+ Revision: 59760
- Rebuild

* Fri Sep 01 2006 Laurent Montel <lmontel@mandriva.com> 0.6.2-2mdv2007.0
+ Revision: 58970
- Fix buildrequires

* Mon Aug 07 2006 Laurent Montel <lmontel@mandriva.com> 0.6.2-1mdv2007.0
+ Revision: 53496
- Fix requires
- 0.6.2

* Sat Aug 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.1-3mdv2007.0
+ Revision: 52765
- Rebuild against new DBUS
- Import kpowersave

* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdv2007.0
- Rebuild for new menu && extension
- Use macros for icons

* Tue May 16 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Fri May 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Rebuild to generate categories

* Thu Apr 20 2006 Couriousous <couriousous@mandriva.org> 0.6.0-1mdk
- Upload into cooker

